rte_security_tls_record_xform(3)

NAME
rte_security_tls_record_xform

SYNOPSIS

#include <rte_security.h>

  Data Fields

enum rte_security_tls_version ver
enum rte_security_tls_sess_type type
struct rte_security_tls_record_sess_options options
struct rte_security_tls_record_lifetime life

Detailed Description

TLS record protocol session configuration.

This structure contains data required to create a TLS record security session.

Definition at line 678 of file rte_security.h.

Field Documentation

  enum rte_security_tls_version ver
TLS record version.

Definition at line 680 of file rte_security.h.

  enum rte_security_tls_sess_type type
TLS record session type.

Definition at line 682 of file rte_security.h.

  struct rte_security_tls_record_sess_options options
TLS record session options.

Definition at line 684 of file rte_security.h.

  struct rte_security_tls_record_lifetime life
TLS record session lifetime.

Definition at line 686 of file rte_security.h.

  uint64_t seq_no
Starting sequence number.

6B starting sequence number to be used.

Definition at line 691 of file rte_security.h.

  uint8_t imp_nonce[RTE_SECURITY_DTLS_1_2_IMP_NONCE_LEN]
Implicit nonce to be used for AEAD algos.

Definition at line 693 of file rte_security.h.

  struct { ... } tls_1_2
TLS 1.2 parameters.

  uint32_t min_payload_len
Minimum payload length (in case of write sessions). For shorter inputs, the payload would be padded appropriately before performing crypto transformations.

Definition at line 707 of file rte_security.h.

  struct { ... } tls_1_3
TLS 1.3 parameters.

  uint16_t epoch
Epoch value to be used.

Definition at line 713 of file rte_security.h.

  uint32_t ar_win_sz
Anti replay window size to enable sequence replay attack handling. Anti replay check is disabled if the window size is 0.

Definition at line 722 of file rte_security.h.

  struct { ... } dtls_1_2
DTLS 1.2 parameters

Author

Generated automatically by Doxygen for DPDK from the source code.